#! /bin/bash
#
#SBATCH --ntasks=8

B1_ARRAY=(.1 .3 .6 1.0 1.3 1.6 1.9 2.0)
B2_ARRAY=(.1 .2 .3 .4 .5)
B3_ARRAY=(.1 .3 .6 1.0 1.3 1.6 1.9 2.0)
A1_ARRAY=(.1 .2 .3 .4 .5)
A2_ARRAY=(.1 .3 .6 1.0 1.3 1.6 1.9 2.0)
A3_ARRAY=(.1 .2 .3 .4 .5)
A4_ARRAY=(.1 .3 .6 1.0 1.3 1.6 1.9 2.0)
for i in {1..8}
do
    for i4 in {1..8}
    do
        for j in {1..8}
        do
            for j4 in {1..8}
            do
                #srun -N1 -n1 -c1 --exclusive ./myprog $i &
                echo mpirun -np 4 lmp_daily \
                    -var simID $i"_"${i4}"_"$j"_out" \
                    -var angle1Str 1.0 \
                    -var angle2Str ${A2_ARRAY[i-1]} \
                    -var angle3Str 1.0 \
                    -var angle4Str ${A4_ARRAY[i4-1]} \
                    -var latBondStr ${B1_ARRAY[j-1]} \
                    -var latSeamStr ${B1_ARRAY[j-1]} \
                    -var longBondStr ${B3_ARRAY[j4-1]} \
                    -i run_bend.in.nvt 
            done
        done
    done
done
wait

